# type: ignore


class MockResponse:
    def json(self):
        return lex_birth


# The JSON response in original SDMX-JSON format
# for country == 'AUT', startTime == 2009, endTime == 2011
lex_birth = {'header': {'id': '067e22e0-91a3-47f4-8eb7-dc6bc1b1c0d7',
                        'test': False,
                        'prepared': '2019-07-04T12:08:28.1346878Z',
                        'sender': {'id': 'OECD',
                                   'name': 'Organisation for Economic Co-operation and Development'},
                        'links': [{'href': 'https://stats.oecd.org:443/sdmx-json/data/CSPCUBE/LIFEEXPY_G1.AUT/all?startTime=2009&endTime=2011',
                                   'rel': 'request'}]},
             'dataSets': [{'action': 'Information',
                           'series': {'0:0': {'attributes': [0, 0, 0, None],
                                              'observations': {'0': [80.4, None],
                                                               '1': [80.7, None],
                                                               '2': [81.1, None]}}}}],
             'structure': {'links': [{'href': 'https://stats.oecd.org/sdmx-json/dataflow/CSPCUBE/all',
                                      'rel': 'dataflow'}],
                           'name': 'Country statistical profiles',
                           'description': 'Country statistical profiles',
                           'dimensions': {'series': [{'keyPosition': 0,
                                                      'id': 'SUB',
                                                      'name': 'Subject',
                                                      'values': [{'id': 'LIFEEXPY_G1',
                                                                  'name': ' Life expectancy at birth: total'}]},
                                                     {'keyPosition': 1,
                                                      'id': 'LOCATION',
                                                      'name': 'Country',
                                                      'values': [{'id': 'AUT', 'name': 'Austria'}],
                                                      'role': 'REF_AREA'}],
                                          'observation': [{'id': 'TIME_PERIOD',
                                                           'name': 'Year',
                                                           'values': [{'id': '2009', 'name': '2009'},
                                                                      {'id': '2010',
                                                                          'name': '2010'},
                                                                      {'id': '2011', 'name': '2011'}],
                                                           'role': 'TIME_PERIOD'}]},
                           'attributes': {'dataSet': [],
                                          'series': [{'id': 'TIME_FORMAT',
                                                      'name': 'Time Format',
                                                      'values': [{'id': 'P1Y', 'name': 'Annual'}]},
                                                     {'id': 'UNIT',
                                                      'name': 'Unit',
                                                      'values': [{'id': 'YR', 'name': 'Years'}],
                                                      'role': 'UNIT_MEASURE'},
                                                     {'id': 'POWERCODE',
                                                      'name': 'Unit multiplier',
                                                      'default': '0',
                                                      'values': [{'id': '0', 'name': 'Units'}],
                                                      'role': 'UNIT_MULT'},
                                                     {'id': 'REFERENCEPERIOD',
                                                      'name': 'Reference period',
                                                      'values': [],
                                                      'role': 'BASE_PER'}],
                                          'observation': [{'id': 'OBS_STATUS',
                                                           'name': 'Observation Status',
                                                           'values': []}]},
                           'annotations': [{'title': 'Copyright OECD - All rights reserved',
                                            'uri': '',
                                            'text': ''},
                                           {'title': 'Terms and Conditions',
                                            'uri': 'http://www.oecd.org/termsandconditions/',
                                            'text': ''},
                                           {'title': 'Privacy Policy',
                                            'uri': 'http://www.oecd.org/privacy/',
                                            'text': ''},
                                           {'title': 'MyOECD',
                                               'uri': 'https://www.oecd.org/login', 'text': ''},
                                           {'title': 'Contact Us',
                                            'uri': 'http://www.oecd.org/contact/',
                                            'text': ''}]}}
